<template>
  <div class="growth_new__desc desc">
    <template v-for="(item, index) in popup.growth_offers">
      <div class="desc__item" v-if="item.status" :key="index">
        <span class="dot"></span>
        <span v-html="replaceShortcodes(item.offer_text, item.automatic_discount_value)"></span>
        <!-- Subscribe <strong>to any channel</strong> and get a -13% discount! -->
      </div>
    </template>

  </div>
</template>

<script>
  export default {
    props: ['popup'],
    methods: {
      replaceShortcodes(text, value = '', order = 1) {
            if (text) {
                text = text.replace(/{discountValue}%/g, `<strong>${value}%</strong>`);
            }
            return text;
        },
    }
  }
</script>